> ## Documentation Index
> Fetch the complete documentation index at: https://bunnynet-cb9733c2-add-new-partner-apis.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Audit Log

> Get the audit log for one of the partner's customers. ResourceOwner identifies the customer each entry belongs to.



## OpenAPI

````yaml https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}/audit/{date}
openapi: 3.0.0
info:
  title: bunny.net Partner Portal API
  version: 1.0.0
servers:
  - url: https://api.bunny.net
    description: bunny.net API Server
security:
  - AccessKey: []
tags:
  - name: Customers
  - name: Audit Log
  - name: Contract
  - name: Billing
  - name: Pricing
  - name: Products
paths:
  /partner/customer/{customerUserId}/audit/{date}:
    get:
      tags:
        - Audit Log
      summary: Get Audit Log
      description: >-
        Get the audit log for one of the partner's customers. ResourceOwner
        identifies the customer each entry belongs to.
      operationId: GetPartnerAuditLogEndpoint_GetPartnerAuditLog
      parameters:
        - name: customerUserId
          in: path
          required: true
          schema:
            type: string
          x-position: 1
        - name: date
          in: path
          required: true
          schema:
            type: string
            format: date-time
          x-position: 2
        - name: Product
          in: query
          style: form
          explode: true
          schema:
            type: array
            nullable: true
            items:
              type: string
          x-position: 3
        - name: ResourceType
          in: query
          style: form
          explode: true
          schema:
            type: array
            nullable: true
            items:
              type: string
          x-position: 4
        - name: ResourceId
          in: query
          style: form
          explode: true
          schema:
            type: array
            nullable: true
            items:
              type: string
          x-position: 5
        - name: ActorId
          in: query
          style: form
          explode: true
          schema:
            type: array
            nullable: true
            items:
              type: string
          x-position: 6
        - name: Order
          in: query
          schema:
            $ref: '#/components/schemas/LogOrdering'
          x-position: 7
        - name: ContinuationToken
          in: query
          schema:
            type: string
            nullable: true
          x-position: 8
        - name: Limit
          in: query
          schema:
            type: integer
            format: int32
            maximum: 10000
            minimum: 1
          x-position: 9
      responses:
        '200':
          description: The list of audit log entries.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserAuditLogResponse'
        '400':
          description: The request was invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorData'
        '401':
          description: The request authorization failed.
        '403':
          description: >-
            Authenticated user is not a reseller or MSP partner, or the customer
            is not assigned to this partner.
      security:
        - AccessKey:
            - ResellerPartner
            - MSPPartner
        - bearer:
            - ResellerPartner
            - MSPPartner
components:
  schemas:
    LogOrdering:
      type: string
      description: ''
      x-enumNames:
        - Ascending
        - Descending
      enum:
        - Ascending
        - Descending
    GetUserAuditLogResponse:
      type: object
      additionalProperties: false
      properties:
        Logs:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/UserAuditLog'
        HasMoreData:
          type: boolean
        ContinuationToken:
          type: string
          nullable: true
        StartToken:
          type: string
          nullable: true
    ApiErrorData:
      type: object
      additionalProperties: false
      properties:
        ErrorKey:
          type: string
          nullable: true
        Field:
          type: string
          nullable: true
        Message:
          type: string
          nullable: true
    UserAuditLog:
      type: object
      additionalProperties: false
      properties:
        Timestamp:
          type: string
          format: date-time
        Product:
          type: string
          nullable: true
        ResourceType:
          type: string
          nullable: true
        ResourceId:
          type: string
          nullable: true
        ResourceOwner:
          type: string
          nullable: true
        Action:
          type: string
          nullable: true
        ActorId:
          type: string
          nullable: true
        ActorType:
          type: string
          nullable: true
        Diff:
          type: string
          nullable: true
  securitySchemes:
    AccessKey:
      type: apiKey
      description: API Access Key authorization header
      name: AccessKey
      in: header
    bearer:
      type: apiKey
      description: Bearer token authorization header
      name: Authorization
      in: header

````